20 Nov 2019 - TVDB Scraper v3.2.0 is now available which reinstates scraping. TVDB are still in the process of fixing a number of bugs so there may still be further breakages. See this post. 2901570 (post)

Issue compiling build tools and dependencies
#1
Hi,

lately I have been trying to compile Kodi for Android, and I keep running into this same issue. I've tried Ubuntu, macos, Fedora, CentOS, Debian, Linux Mint, Arch... you get the idea. Anyway the issue is, whenever I get to the step in the GitHub compilation instructions where it says to compile the build tools and dependencies, my build always fails. I'm very sorry if this is the wrong way to go about asking this question, but I've been at this for hours and I can't get it to work for the life of me. Anyway, if one of you lovely people could help me out that'd be much appreciated, here's the log: cifaziyifu.kodi (paste)
Reply
#2
It doesn't look like the instructions you are using match the source code you have checked out.
Have you checked out Leia branch and use the instructions from master branch?
Reply
#3
(2019-09-13, 11:19)Rechi Wrote: It doesn't look like the instructions you are using match the source code you have checked out.
Have you checked out Leia branch and use the instructions from master branch?

I don't know about OP, but for the last 20 hours I've been trying to no avail to compile. I'm not too sure about reading the logs, but his log seems quite similar to mine.

Plus I followed the guide on Github. I think it won't compile as something is wrong and/or missing.
Reply
#4
(2019-09-13, 11:19)Rechi Wrote: It doesn't look like the instructions you are using match the source code you have checked out.
Have you checked out Leia branch and use the instructions from master branch?

Same question for you too.
Reply
#5
(2019-10-20, 07:36)Rechi Wrote: Same question for you too.

Maybe I wasn't clear with my previous statement, but to add to it "Plus I followed the guide on Github" on https://github.com/xbmc/xbmc/blob/master...Android.md

I think something on linux changed after I updated my packages. Now I can't even compile 18.3 anymore.
Reply
#6
So you are using the guide for master branch to compile the Leia branch. That doesn't work.

Use the documentation from the branch you want to compile.
Reply
#7
Darn it, just decided to upgrade my whole ubuntu system to 18.04 in attempt to fix it. Will have to try once is upgraded. I really feel so so stupid not realising that.

Edit: Thanks for taking the time to point out the obvious. I have been able to compile it now
Reply
 
Thread Rating:
  • 0 Vote(s) - 0 Average



Logout Mark Read Team Forum Stats Members Help
Issue compiling build tools and dependencies00